Skip to content

Replace practitioner

Request

Fully replaces an existing Practitioner. All fields must be provided.

Security
bearer
Path
siteIdnumberrequired

Site identifier

practitionerIdstringrequired

Practitioner unique identifier (UUID)

Bodyapplication/jsonrequired
userIdstringrequired

Reference to the associated user account.

Example:"123e4567-e89b-12d3-a456-426614174000"
licenseNumberstringrequired

Professional license number.

Example:"example"
licenseStatestringrequired

State/jurisdiction of license.

Example:"https://example.com"
roleobject(CodeableConceptDto)required

Professional role (veterinarian, technician, nurse, specialist).

specialtiesArray of objects(SpecialtieDto)required

List of specialties (surgery, dentistry, oncology).

facilityIdsArray of stringsrequired

Facilities where this practitioner works.

isActivebooleanrequired

Whether the practitioner is currently active.

Example:true
extensionsobjectrequired

Vendor- or practice-specific extensions.

curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/practitioner/{practitionerId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "licenseNumber": "example",
    "licenseState": "https://example.com",
    "role": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "specialties": [
      {
        "code": "example",
        "system": "example",
        "display": "example"
      }
    ],
    "facilityIds": [
      "string"
    ],
    "isActive": true,
    "extensions": {}
  }'

Responses

Practitioner replaced successfully

Bodyapplication/json
practitionerIdstringrequired

Canonical unique identifier for the practitioner.

Example:"123e4567-e89b-12d3-a456-426614174000"
userIdstringrequired

Reference to the associated user account.

Example:"123e4567-e89b-12d3-a456-426614174000"
licenseNumberstringrequired

Professional license number.

Example:"example"
licenseStatestringrequired

State/jurisdiction of license.

Example:"https://example.com"
roleobject(CodeableConceptDto)required

Professional role (veterinarian, technician, nurse, specialist).

specialtiesArray of objects(SpecialtieDto)required

List of specialties (surgery, dentistry, oncology).

facilityIdsArray of stringsrequired

Facilities where this practitioner works.

isActivebooleanrequired

Whether the practitioner is currently active.

Example:true
createdAtstring, (date-time)required

Timestamp when the practitioner record was created.

Example:"2025-01-01T00:00:00.000Z"
updatedAtstring, (date-time)required

Timestamp when the practitioner record was last updated.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

Response
{ "practitionerId": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "licenseNumber": "example", "licenseState": "https://example.com", "role": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "specialties": [ { … } ], "facilityIds": [ "string" ], "isActive": true, "createdAt": "2025-01-01T00:00:00.000Z", "updatedAt": "2025-01-01T00:00:00.000Z", "extensions": {} }